import { requestConfig } from "../../serverConfig";

export enum urlEnum {
    获取token = "/oauth/token",
    数据治理="/service/api/kyzx/sjzl",
    数据资产="/service/api/kyzx/sjzc",
    数据来源="/service/api/kyzx/sjlyn",
    当前进行中活动="/service/api/kyzx/dqhd",
    当前活动人数="/service/api/kyzx/dqhdrs",
    本年度活动数="/service/api/kyzx/bndhds",
    参与活动人数="/service/api/kyzx/cyhdrs",
    注册用户="/service/api/kyzx/zcyh",
    应急保障预案="/service/api/kyzx/yjbzya",
    保障人员="/service/api/kyzx/bzry",
    活动参与度="/service/api/kyzx/hdcyd",
    用户投诉量="/service/api/kyzx/yhts",
    重要活动地图数据="/service/api/kyzx/zyhdbzzjdt",
    整体运行地图数据="/service/api/kyzx/ztyxtszjdt",
    整体运行态势当前活动数="/service/api/kyzx/dqhds",
    容量指标="/service/api/kyzx/rlzb",
    容量指标使用率趋势="/service/api/kyzx/rlzbsylqs",
    信息安全风险="/service/api/kyzx/xxaqfx",
    资源部署="/service/api/kyzx/zybs",
    资源可用性="/service/api/kyzx/zykyx",
    资源使用率趋势="/service/api/kyzx/zysylqs",
    重要活动保障列表="/service/api/kyzx/zyhdbzlb"
};

export function getUrl(urlName) {
    return `${requestConfig.url}${urlName}`
} 